Subject: Re: [PATCH] docs: manpage XML depends on asciidoc.conf

From: John Keeping <[email-masked]>
Date: Sun, 6 Jan 2013 12:33:26 +0000

On Sun, Jan 06, 2013 at 04:01:53AM -0800, Jonathan Nieder wrote:
> When building manual pages, the source text is transformed to XML with
> AsciiDoc before the man pages are generated from the XML with xmlto.
> 
> Fix the dependencies in the Makefile so that the XML files are rebuilt
> when asciidoc.conf changes and not just the manual pages from
> unchanged XML, and move the dependencies from a recipeless rule to the
> rules with commands that use asciidoc.conf to make the dependencies
> easier to understand and maintain.
> 
> Reported-by: John Keeping <[email-masked]>
> Signed-off-by: Jonathan Nieder <[email-masked]>
> ---

This fixes the problem I wanted to fix (as well as being clearer for the
future), so FWIW:

Tested-by: John Keeping <[email-masked]>